summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlan Moore2016-06-05 23:51:30 -0500
committerAlan Moore2016-06-05 23:51:30 -0500
commit6eed0622224d62415ff956b975b8f519825af37e (patch)
tree4a7e533dcfa1286e2dea97a51cf201d253fb26a6
downloadaur-brother-mfc-j280w.tar.gz
ported over from old AUR, with updated URLs
-rw-r--r--.SRCINFO20
-rw-r--r--PKGBUILD32
-rw-r--r--brother-mfc-j280w.install12
3 files changed, 64 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..b92412bfd16
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,20 @@
+pkgbase = brother-mfc-j280w
+ pkgdesc = LPR and CUPS driver for the Brother MFC-J280W. This package is based off the MFC-J265W, all credit is for woegjiub
+ pkgver = 1.1.3
+ pkgrel = 1
+ url = http://welcome.solutions.brother.com/bsc/public_s/id/linux/en/index.html
+ install = brother-mfc-j280w.install
+ arch = i686
+ arch = x86_64
+ license = unknown
+ depends = tcsh
+ depends = deb2targz
+ depends = perl
+ depends = a2ps
+ source = http://download.brother.com/welcome/dlf006550/mfcj280wlpr-3.0.1-1.i386.deb
+ source = http://download.brother.com/welcome/dlf006552/mfcj280wcupswrapper-3.0.0-1.i386.deb
+ md5sums = a4c91309efbb22755c0aad4992d6de0c
+ md5sums = 45ac64d2d7dd84f060f7239b79f7e875
+
+pkgname = brother-mfc-j280w
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..6a76343dc40
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,32 @@
+# Maintainer: Joe666 <joe666@gnovus.com>
+
+pkgname="brother-mfc-j280w"
+pkgver="1.1.3"
+pkgrel=1
+_revision=1
+pkgdesc="LPR and CUPS driver for the Brother MFC-J280W. This package is based off the MFC-J265W, all credit is for woegjiub"
+url="http://welcome.solutions.brother.com/bsc/public_s/id/linux/en/index.html"
+arch=('i686' 'x86_64')
+license=('unknown')
+install='brother-mfc-j280w.install'
+depends=('tcsh' 'deb2targz' 'perl' 'a2ps')
+source=(
+ "http://download.brother.com/welcome/dlf006550/mfcj280wlpr-3.0.1-1.i386.deb"
+ "http://download.brother.com/welcome/dlf006552/mfcj280wcupswrapper-3.0.0-1.i386.deb"
+)
+md5sums=('a4c91309efbb22755c0aad4992d6de0c'
+ '45ac64d2d7dd84f060f7239b79f7e875')
+
+package() {
+ deb2targz *.deb >/dev/null || return 1
+ rm -f *.deb || return 1
+ cd $srcdir || return 1
+ [ -d "mfcj280w" ] || (mkdir mfcj280w || return 1)
+ for i in *.tar.gz;do tar xfz $i -C mfcj280w;done || return 1
+ cd mfcj280w || return 1
+ cd opt/brother/Printers/mfcj280w || return 1
+ perl -i -pe 's#/etc/init.d#/etc/rc.d#g' ./cupswrapper/cupswrappermfcj280w || return 1
+ perl -i -pe 's#printcap\.local#printcap#g' ./inf/setupPrintcapij || return 1
+ cp -rf $srcdir/mfcj280w/usr/ $pkgdir/ || return 1
+ cp -rf $srcdir/mfcj280w/opt/ $pkgdir/ || return 1
+}
diff --git a/brother-mfc-j280w.install b/brother-mfc-j280w.install
new file mode 100644
index 00000000000..6476d5ceb70
--- /dev/null
+++ b/brother-mfc-j280w.install
@@ -0,0 +1,12 @@
+post_install() {
+ post_upgrade;
+}
+
+post_upgrade() {
+ /opt/brother/Printers/mfcj280w/cupswrapper/cupswrappermfcj280w >/dev/null
+ if [ "$?" -eq 0 ]; then
+ printf "\033[1m\033[32m\x3d\x3d\x3e\033\1330m Done. The printer should be visible now via the CUPS-webinterface (http://localhost:631)\n"
+ else
+ printf "\033[1m\032[32m\x3d\x3d\x3e\033\1330m Something went wrong...\n"
+ fi
+}